// EXTERNAL COMMANDS
// --------------------------------------
function clientCmdNPListCategory(%id, %category, %icon) {
	newSettingsGui.addCategory(%id, %category, %icon);
}

function clientCmdNPListPref(%id, %name, %subcategory, %type, %default, %folder, %restartRequired, %value) {
	// we have no need for half of these args but we'll send em over anyway
	%data = new ScriptObject()
	{
		// IMPORTANT
		serverId = %id;
		name = %name;
		type = %type;
		
		value = %value;
		oldValue = %value;
		
		// USEFUL
		subcategory = %subcategory; // dictates where we add dividers
		variableDefault = %default; // naming this variable "default" causes a syntax error because "default" is a keyword in TS.
		
		// UNIMPORTANT (kept for legacy reasons)
		folder = %folder;
		restartRequired = %restartReqired;
	};
	
	newSettingsGui.addSetting(%data);
}

function clientCmdBL_IDListPlayer(%name, %bl_id) {
	bl_idListGui_PlayerList.addRow(%bl_id, %bl_id @ ": " @ %name);
}

function clientCmdPrefsConnect() {
	$ZZZZZZ::Prefs::Connected = true;
}